KDEINIT5(8)

NOME
kdeinit5 - Lançador de aplicações criadas com suporte para o 'kdeinit' e para 'KIO slaves'.

SINTAXE

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programas] | [programas]]

DESCRIÇÃO

O 'kdeinit5' é um lançador de processos, de certa forma semelhante ao famoso init, que é usado no arranque do UNIX. Ele executa os programas do KDE e os módulos dinâmicos do 'kdeinit' (KLMs), iniciando-os de forma mais eficiente.

A utilização do 'kdeinit5' para lançar as aplicações do KDE torna o arranque de uma aplicação típica do KDE umas quantas vezes mais rápida e reduz substancialmente o consumo de memória.

O 'kdeinit5' é compilado dinamicamente com todas as bibliotecas que uma aplicação normal do KDE necessita. Graças a esta técnica, o arranque de uma aplicação torna-se muito mais rápido, porque agora só a aplicação é que necessita de ser compilada, enquanto que no outro caso teria de ser a aplicação e as bibliotecas que esta usa.

DESVANTAGENS

O nome do processo das aplicações iniciadas pelo 'kdeinit5' chama-se "kdeinit5". Este problema pode ser corrigido, de certa forma, se mudar o nome da aplicação, tal como aparece no ps. Contudo, as aplicações como o killall só irão ver o 'kdeinit5' como nome do processo. Para dar a volta a esta situação, use o comando kdekillall (que existe em 'kdesdk/scripts') para as aplicações que sejam iniciadas com o 'kdeinit4'.

OPÇÕES

--help
    Mostra a ajuda acerca das opções.

--no-fork
    Não faz um 'fork', i.e., não sai até que todos os programas executados terminem

--no-kded
    Não inicia o 'kded'

--suicide
    Termina a aplicação quando mais nenhuma aplicação do KDE estiver em execução

+programas
    executa os programas, tratando dos pedidos

programas
    executa os programas sem tratar dos pedidos

UTILIZAÇÃO

Uma forma padrão de executar este programa é simplesmente indicar o seguinte comando na consola: kdeinit5 programa ou kdeinit5 +programa

FICHEIROS

/tmp/kde-$USER/kdeinit5_$INSTANCIA
    ...

VARIÁVEIS DE AMBIENTE

$HOME
    Indica a pasta pessoal do utilizador actual

$KDE_HOME_READONLY
    Indica se a pasta pessoal do utilizador é apenas para leitura

$KDE_IS_PRELINKED
    Se estiver definida, indica ao 'kdeinit5' que os programas do KDE são pré-carregados dinamicamente.

    (Este processo permite-lhe acelerar a funcionalidade de edição de ligações dinâmicas.)

$KDE_DISPLAY
    Se estiver definida, indica ao 'kdeinit5' que está a correr num ambiente de trabalho do KDE.

VEJA TAMBÉM

kded5, kdekillall

PROBLEMAS

Existem provavelmente diversos erros. Use o sistema de gestão de erros do KDE[1] para os comunicar.

AUTORES

Waldo Bastian <bastian@kde.org>
    Autor.

Mario Weilguni <mweilguni@sime.com>
    Autor.

Lubos Lunak <l.lunak@kde.org>
    Autor.

NOTAS

1.  sistema de gestão de erros do KDE
    http://bugs.kde.org